- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# uip_icmpip_hdr Struct Reference
[The uIP TCP/IP stack]

## Detailed Description

Definition at line 1423 of file uip.h.

## Data Fields
u8_t | vhl
u8_t | tos
u8_t | len [2]
u8_t | ipid [2]
u8_t | ipoffset [2]
u8_t | ttl
u8_t | proto
u16_t | ipchksum
u16_t | srcipaddr [2]
u16_t | destipaddr [2]
u8_t | type
u8_t | icode
u16_t | icmpchksum
u16_t | id
u16_t | seqno